@book {stroustrupTourPP,
author = {Stroustrup, Bjarne},
editor = {Stroustrup, Bjarne},
title = {A tour of C++},
address = {Upper Saddle River, NJ},
year = {c2014},
publisher = {Addison Wesley},
keywords = {C++ (Computer program language). Electronic books},
pages = {Online-Ressource (1 v. p.)},
URL = {http://proquest.tech.safaribooksonline.de/9780133549041},
URL = {http://proquest.tech.safaribooksonline.de/9780133549041},
URL = {http://proquest.tech.safaribooksonline.de/9780133549041},
type = {Text (nur für elektronische Ressourcen)},
ISBN = {978-0-13-354904-1},
ISBN = {0-13-354904-6},
ISBN = {978-0-321-95831-0},
}

@book{kirch2015c++,
  title={C++ lernen und professionell anwenden},
  author={Kirch, U. and Prinz, P.},
  isbn={9783958450288},
  series={mitp Professional},
  url={https://books.google.de/books?id=1mpRrgEACAAJ},
  year={2015},
  publisher={mitp}
}
